%define _buildid .3

%global py26nvr python26-dateutil-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-dateutil-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name python-dateutil

Name: python-dateutil
Version: 2.1
Release: 1%{?_buildid}%{?dist}
Summary: Powerful extensions to the standard datetime module
Group: Development/Languages
License: BSD
URL: https://pypi.python.org/pypi/python-dateutil
Source0: https://pypi.python.org/packages/source/p/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
# Redirect the exposed parts of the dateutil.zoneinfo API to remove references
# to the embedded copy of zoneinfo-2008e.tar.gz and instead use the system
# data from the "tzdata" package (rhbz#559309):
Patch0: python-dateutil-2.0-system-zoneinfo.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
The dateutil module provides powerful extensions to the standard datetime
module available in Python 2.3+.

%package -n python26-dateutil
Summary: Powerful extensions to the standard datetime module
BuildRequires: python26-devel
BuildRequires: python26-setuptools
BuildRequires: python26-six
Requires: tzdata
Requires: python26-six
Provides: python-dateutil = %{version}-%{release}
Obsoletes: python-dateutil <= 2.1-1.0.amzn1

%description -n python26-dateutil
The dateutil module provides powerful extensions to the standard datetime
module available in Python 2.3+.

This package is meant to be used with Python 2.6.

%package -n python27-dateutil
Summary: Powerful extensions to the standard datetime module
BuildRequires: python27-devel
BuildRequires: python27-setuptools
BuildRequires: python27-six
Requires: tzdata
Requires: python27-six

%description -n python27-dateutil
The dateutil module provides powerful extensions to the standard datetime
module available in Python 2.3+.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}

# Remove embedded copy of timezone data:
%patch0 -p1

iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
pushd %{py26builddir}
%{__python26} test.py
popd
pushd %{py27builddir}
%{__python27} test.py
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-dateutil
%doc example.py LICENSE NEWS README
%{python26_sitelib}/*
%exclude %{python26_sitelib}/dateutil/zoneinfo/zoneinfo-*.tar.gz

%files -n python27-dateutil
%doc example.py LICENSE NEWS README
%{python27_sitelib}/*
%exclude %{python27_sitelib}/dateutil/zoneinfo/zoneinfo-*.tar.gz

%changelog
* Wed Feb 4 2015 Ben Cressey <bcressey@amazon.com>
- build for multiple pythons

* Tue Feb 26 2013 Lee Trager <ltrager@amazon.com>
- Update to 2.1 from upstream

* Thu Dec 2 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/python-dateutil-1.4.1-6.el6

* Fri Jul 23 2010 Cristian Gafton <gafton@amazon.com>
- use system python macros

* Tue Jul 13 2010 David Malcolm <dmalcolm@redhat.com> - 1.4.1-6
- remove embedded copy of timezone data, and redirect the dateutil.zoneinfo
API accordingly
Resolves: rhbz#559309
- add a %%check, running the upstream selftest suite

* Tue Jul 13 2010 David Malcolm <dmalcolm@redhat.com> - 1.4.1-5
- add requirement on tzdata
Resolves: rhbz#559309
- fix encoding of the NEWS file

* Fri Jul 9 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/python-dateutil-1.4.1-4.1.el6
- setup complete for package python-dateutil

* Mon Nov 30 2009 Dennis Gregorovic <dgregor@redhat.com> - 1.4.1-4.1
- Rebuilt for RHEL 6

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 1.4.1-2
- small specfile fix
- New upstream version

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.4-3
- Rebuild for Python 2.6

* Fri Aug 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4-2
- fix license tag

* Tue Jul 01 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 1.4-1
- Latest upstream release

* Fri Jan 04 2008 Jef Spaleta <jspaleta@fedoraproject.org> 1.2-2
- Fix for egg-info file creation

* Thu Jun 28 2007 Orion Poplawski <orion@cora.nwra.com> 1.2-1
- Update to 1.2

* Mon Dec 11 2006 Jef Spaleta <jspaleta@gmail.com> 1.1-5
- Fix python-devel BR, as per discussion in maintainers-list

* Mon Dec 11 2006 Jef Spaleta <jspaleta@gmail.com> 1.1-4
- Release bump for rebuild against python 2.5 in devel tree

* Wed Jul 26 2006 Orion Poplawski <orion@cora.nwra.com> 1.1-3
- Add patch to fix building on x86_64

* Wed Feb 15 2006 Orion Poplawski <orion@cora.nwra.com> 1.1-2
- Rebuild for gcc/glibc changes

* Thu Dec 22 2005 Orion Poplawski <orion@cora.nwra.com> 1.1-1
- Update to 1.1

* Thu Jul 28 2005 Orion Poplawski <orion@cora.nwra.com> 1.0-1
- Update to 1.0

* Tue Jul 05 2005 Orion Poplawski <orion@cora.nwra.com> 0.9-1
- Initial Fedora Extras package
